<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Fri May 25 11:54:49 EDT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>InfoDialog (SelekTOR Java Documentation)</title>
<meta name="date" content="2018-05-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="InfoDialog (SelekTOR Java Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/InfoDialog.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../lib/GTKFixes.html" title="class in lib"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../lib/Localisation.html" title="class in lib"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?lib/InfoDialog.html" target="_top">Frames</a></li>
<li><a href="InfoDialog.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.javax.swing.JDialog">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">lib</div>
<h2 title="Class InfoDialog" class="title">Class InfoDialog</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>java.awt.Window</li>
<li>
<ul class="inheritance">
<li>java.awt.Dialog</li>
<li>
<ul class="inheritance">
<li>javax.swing.JDialog</li>
<li>
<ul class="inheritance">
<li>lib.InfoDialog</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">InfoDialog</span>
extends javax.swing.JDialog</pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Alistair Neil, <info@dazzleships.net></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#lib.InfoDialog">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.javax.swing.JDialog">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JDialog</h3>
<code>javax.swing.JDialog.AccessibleJDialog</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Dialog">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Dialog</h3>
<code>java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Window">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Window</h3>
<code>java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Container</h3>
<code>java.awt.Container.AccessibleAWTContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#CANCEL_BUTTON">CANCEL_BUTTON</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#CANCEL_WINDOW">CANCEL_WINDOW</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#OK">OK</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.javax.swing.JDialog">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.JDialog</h3>
<code>accessibleContext, rootPane, rootPaneCheckingEnabled</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.Dialog">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Dialog</h3>
<code>DEFAULT_MODALITY_TYPE</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.javax.swing.WindowConstants">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;javax.swing.WindowConstants</h3>
<code>DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#InfoDialog-java.awt.Frame-">InfoDialog</a></span>(java.awt.Frame&nbsp;parent)</code>
<div class="block">Creates new InfoDialog, for parent frame with modality modal</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#appendInfoText-java.lang.String-">appendInfoText</a></span>(java.lang.String&nbsp;text)</code>
<div class="block">Append text to the information area, Scrolling should be enabled</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#createError-java.lang.String-">createError</a></span>(java.lang.String&nbsp;title)</code>
<div class="block">Create error dialog</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#createError-java.lang.String-java.lang.String-">createError</a></span>(java.lang.String&nbsp;title,
           java.lang.String&nbsp;info)</code>
<div class="block">Create error dialog</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#createInfo-java.lang.String-">createInfo</a></span>(java.lang.String&nbsp;title)</code>
<div class="block">Convenience methods</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#createInfo-java.lang.String-java.lang.String-">createInfo</a></span>(java.lang.String&nbsp;title,
          java.lang.String&nbsp;info)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#createProgress-java.lang.String-java.lang.String-">createProgress</a></span>(java.lang.String&nbsp;title,
              java.lang.String&nbsp;info)</code>
<div class="block">Create progress bar dialog</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#createWarn-java.lang.String-">createWarn</a></span>(java.lang.String&nbsp;title)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#createWarn-java.lang.String-java.lang.String-">createWarn</a></span>(java.lang.String&nbsp;title,
          java.lang.String&nbsp;info)</code>
<div class="block">Create warning dialog</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.awt.Font</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#getFont--">getFont</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#getReturnStatus--">getReturnStatus</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>javax.swing.JTextArea</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#getTextArea--">getTextArea</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#isCheckBoxSelected--">isCheckBoxSelected</a></span>()</code>
<div class="block">Test to see if checkbox is selected</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#progressTask-int-javax.swing.JProgressBar-">progressTask</a></span>(int&nbsp;status,
            javax.swing.JProgressBar&nbsp;jpb)</code>
<div class="block">Overridable handle for a progress based task</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setAckEnabled-boolean-">setAckEnabled</a></span>(boolean&nbsp;enabled)</code>
<div class="block">Set whether Ok button is enabled</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setAckVisible-boolean-">setAckVisible</a></span>(boolean&nbsp;visible)</code>
<div class="block">Set whether OK button is visible</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setAutoClose-int-">setAutoClose</a></span>(int&nbsp;millis)</code>
<div class="block">Set the form auto close period in milliseconds</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setAutoScrollEnabled-boolean-">setAutoScrollEnabled</a></span>(boolean&nbsp;enabled)</code>
<div class="block">Enable/Disable Autoscrolling</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setCancelButtonText-java.lang.String-">setCancelButtonText</a></span>(java.lang.String&nbsp;text)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setCancelEnabled-boolean-">setCancelEnabled</a></span>(boolean&nbsp;enabled)</code>
<div class="block">Set whether Cancel button is enabled</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setCancelVisible-boolean-">setCancelVisible</a></span>(boolean&nbsp;visible)</code>
<div class="block">Set whether Cancel button is visible</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setCheckBoxEnabled-boolean-">setCheckBoxEnabled</a></span>(boolean&nbsp;checked)</code>
<div class="block">Set check box selection status</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setCheckBoxText-java.lang.String-">setCheckBoxText</a></span>(java.lang.String&nbsp;text)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setCheckBoxVisible-boolean-">setCheckBoxVisible</a></span>(boolean&nbsp;enabled)</code>
<div class="block">Set whether the forms checkbox is enabled</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setCloseButtonText-java.lang.String-">setCloseButtonText</a></span>(java.lang.String&nbsp;text)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setContinueButtonText-java.lang.String-">setContinueButtonText</a></span>(java.lang.String&nbsp;text)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setFont-java.lang.String-int-">setFont</a></span>(java.lang.String&nbsp;font,
       int&nbsp;sizeoffset)</code>
<div class="block">Set info font</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setInfoText-java.lang.String-">setInfoText</a></span>(java.lang.String&nbsp;text)</code>
<div class="block">Set dialog message body</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setInfoText-java.lang.String-java.awt.Color-">setInfoText</a></span>(java.lang.String&nbsp;text,
           java.awt.Color&nbsp;fgcolor)</code>
<div class="block">Set dialog message body, and font colour</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setTimeLock-int-">setTimeLock</a></span>(int&nbsp;secs)</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setTitle-java.lang.String-">setTitle</a></span>(java.lang.String&nbsp;title)</code>
<div class="block">Set dialog title</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../lib/InfoDialog.html#setVisibleWithFocus-boolean-">setVisibleWithFocus</a></span>(boolean&nbsp;visible)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.javax.swing.JDialog">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JDialog</h3>
<code>addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Dialog">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Dialog</h3>
<code>addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setUndecorated, setVisible, show, toBack</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Window">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Window</h3>
<code>addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="CANCEL_BUTTON">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CANCEL_BUTTON</h4>
<pre>public static final&nbsp;int CANCEL_BUTTON</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.InfoDialog.CANCEL_BUTTON">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CANCEL_WINDOW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CANCEL_WINDOW</h4>
<pre>public static final&nbsp;int CANCEL_WINDOW</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.InfoDialog.CANCEL_WINDOW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OK">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OK</h4>
<pre>public static final&nbsp;int OK</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#lib.InfoDialog.OK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="InfoDialog-java.awt.Frame-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>InfoDialog</h4>
<pre>public&nbsp;InfoDialog(java.awt.Frame&nbsp;parent)</pre>
<div class="block">Creates new InfoDialog, for parent frame with modality modal</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFont--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFont</h4>
<pre>public final&nbsp;java.awt.Font&nbsp;getFont()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getFont</code>&nbsp;in interface&nbsp;<code>java.awt.MenuContainer</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getFont</code>&nbsp;in class&nbsp;<code>java.awt.Component</code></dd>
</dl>
</li>
</ul>
<a name="createInfo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInfo</h4>
<pre>public final&nbsp;void&nbsp;createInfo(java.lang.String&nbsp;title)</pre>
<div class="block">Convenience methods</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - </dd>
</dl>
</li>
</ul>
<a name="createInfo-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInfo</h4>
<pre>public final&nbsp;void&nbsp;createInfo(java.lang.String&nbsp;title,
                             java.lang.String&nbsp;info)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - </dd>
<dd><code>info</code> - </dd>
</dl>
</li>
</ul>
<a name="setTitle-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTitle</h4>
<pre>public final&nbsp;void&nbsp;setTitle(java.lang.String&nbsp;title)</pre>
<div class="block">Set dialog title</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>setTitle</code>&nbsp;in class&nbsp;<code>java.awt.Dialog</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - </dd>
</dl>
</li>
</ul>
<a name="createWarn-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createWarn</h4>
<pre>public final&nbsp;void&nbsp;createWarn(java.lang.String&nbsp;title)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - </dd>
</dl>
</li>
</ul>
<a name="createWarn-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createWarn</h4>
<pre>public final&nbsp;void&nbsp;createWarn(java.lang.String&nbsp;title,
                             java.lang.String&nbsp;info)</pre>
<div class="block">Create warning dialog</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - </dd>
<dd><code>info</code> - </dd>
</dl>
</li>
</ul>
<a name="createProgress-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createProgress</h4>
<pre>public final&nbsp;void&nbsp;createProgress(java.lang.String&nbsp;title,
                                 java.lang.String&nbsp;info)</pre>
<div class="block">Create progress bar dialog</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - </dd>
<dd><code>info</code> - </dd>
</dl>
</li>
</ul>
<a name="progressTask-int-javax.swing.JProgressBar-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>progressTask</h4>
<pre>public&nbsp;void&nbsp;progressTask(int&nbsp;status,
                         javax.swing.JProgressBar&nbsp;jpb)</pre>
<div class="block">Overridable handle for a progress based task</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>status</code> - </dd>
<dd><code>jpb</code> - </dd>
</dl>
</li>
</ul>
<a name="createError-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createError</h4>
<pre>public final&nbsp;void&nbsp;createError(java.lang.String&nbsp;title)</pre>
<div class="block">Create error dialog</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - </dd>
</dl>
</li>
</ul>
<a name="createError-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createError</h4>
<pre>public final&nbsp;void&nbsp;createError(java.lang.String&nbsp;title,
                              java.lang.String&nbsp;info)</pre>
<div class="block">Create error dialog</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - </dd>
<dd><code>info</code> - </dd>
</dl>
</li>
</ul>
<a name="setTimeLock-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimeLock</h4>
<pre>public final&nbsp;void&nbsp;setTimeLock(int&nbsp;secs)</pre>
</li>
</ul>
<a name="setCloseButtonText-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCloseButtonText</h4>
<pre>public final&nbsp;void&nbsp;setCloseButtonText(java.lang.String&nbsp;text)</pre>
</li>
</ul>
<a name="setCancelButtonText-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCancelButtonText</h4>
<pre>public final&nbsp;void&nbsp;setCancelButtonText(java.lang.String&nbsp;text)</pre>
</li>
</ul>
<a name="setContinueButtonText-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setContinueButtonText</h4>
<pre>public final&nbsp;void&nbsp;setContinueButtonText(java.lang.String&nbsp;text)</pre>
</li>
</ul>
<a name="setCheckBoxText-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCheckBoxText</h4>
<pre>public final&nbsp;void&nbsp;setCheckBoxText(java.lang.String&nbsp;text)</pre>
</li>
</ul>
<a name="setAutoScrollEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutoScrollEnabled</h4>
<pre>public final&nbsp;void&nbsp;setAutoScrollEnabled(boolean&nbsp;enabled)</pre>
<div class="block">Enable/Disable Autoscrolling</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - </dd>
</dl>
</li>
</ul>
<a name="appendInfoText-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>appendInfoText</h4>
<pre>public final&nbsp;void&nbsp;appendInfoText(java.lang.String&nbsp;text)</pre>
<div class="block">Append text to the information area, Scrolling should be enabled</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - </dd>
</dl>
</li>
</ul>
<a name="setCheckBoxVisible-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCheckBoxVisible</h4>
<pre>public final&nbsp;void&nbsp;setCheckBoxVisible(boolean&nbsp;enabled)</pre>
<div class="block">Set whether the forms checkbox is enabled</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - </dd>
</dl>
</li>
</ul>
<a name="setCheckBoxEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCheckBoxEnabled</h4>
<pre>public final&nbsp;void&nbsp;setCheckBoxEnabled(boolean&nbsp;checked)</pre>
<div class="block">Set check box selection status</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>checked</code> - </dd>
</dl>
</li>
</ul>
<a name="isCheckBoxSelected--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCheckBoxSelected</h4>
<pre>public final&nbsp;boolean&nbsp;isCheckBoxSelected()</pre>
<div class="block">Test to see if checkbox is selected</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean True if selected</dd>
</dl>
</li>
</ul>
<a name="setFont-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFont</h4>
<pre>public final&nbsp;void&nbsp;setFont(java.lang.String&nbsp;font,
                          int&nbsp;sizeoffset)</pre>
<div class="block">Set info font</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>font</code> - </dd>
<dd><code>sizeoffset</code> - </dd>
</dl>
</li>
</ul>
<a name="setAutoClose-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAutoClose</h4>
<pre>public final&nbsp;void&nbsp;setAutoClose(int&nbsp;millis)</pre>
<div class="block">Set the form auto close period in milliseconds</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>millis</code> - </dd>
</dl>
</li>
</ul>
<a name="getTextArea--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTextArea</h4>
<pre>public final&nbsp;javax.swing.JTextArea&nbsp;getTextArea()</pre>
</li>
</ul>
<a name="getReturnStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReturnStatus</h4>
<pre>public final&nbsp;int&nbsp;getReturnStatus()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the return status of this dialog - one of RET_OK or RET_CANCEL</dd>
</dl>
</li>
</ul>
<a name="setInfoText-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInfoText</h4>
<pre>public final&nbsp;void&nbsp;setInfoText(java.lang.String&nbsp;text)</pre>
<div class="block">Set dialog message body</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - </dd>
</dl>
</li>
</ul>
<a name="setInfoText-java.lang.String-java.awt.Color-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInfoText</h4>
<pre>public final&nbsp;void&nbsp;setInfoText(java.lang.String&nbsp;text,
                              java.awt.Color&nbsp;fgcolor)</pre>
<div class="block">Set dialog message body, and font colour</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - </dd>
<dd><code>fgcolor</code> - </dd>
</dl>
</li>
</ul>
<a name="setCancelEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCancelEnabled</h4>
<pre>public final&nbsp;void&nbsp;setCancelEnabled(boolean&nbsp;enabled)</pre>
<div class="block">Set whether Cancel button is enabled</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - </dd>
</dl>
</li>
</ul>
<a name="setCancelVisible-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCancelVisible</h4>
<pre>public final&nbsp;void&nbsp;setCancelVisible(boolean&nbsp;visible)</pre>
<div class="block">Set whether Cancel button is visible</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>visible</code> - </dd>
</dl>
</li>
</ul>
<a name="setAckEnabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAckEnabled</h4>
<pre>public final&nbsp;void&nbsp;setAckEnabled(boolean&nbsp;enabled)</pre>
<div class="block">Set whether Ok button is enabled</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - </dd>
</dl>
</li>
</ul>
<a name="setAckVisible-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAckVisible</h4>
<pre>public final&nbsp;void&nbsp;setAckVisible(boolean&nbsp;visible)</pre>
<div class="block">Set whether OK button is visible</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>visible</code> - </dd>
</dl>
</li>
</ul>
<a name="setVisibleWithFocus-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setVisibleWithFocus</h4>
<pre>public&nbsp;void&nbsp;setVisibleWithFocus(boolean&nbsp;visible)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/InfoDialog.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../lib/GTKFixes.html" title="class in lib"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../lib/Localisation.html" title="class in lib"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?lib/InfoDialog.html" target="_top">Frames</a></li>
<li><a href="InfoDialog.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.javax.swing.JDialog">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
